petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSSetConvergedReason

Sets the reason for handling the convergence of TSSolve.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetConvergedReason(TS ts,TSConvergedReason reason)

Not Collective

### Input Parameter

| ts | - the TS context
| reason | - negative value indicates diverged, positive value converged, see TSConvergedReason or the manual pages for the individual convergence tests for complete lists

### Notes

Can only be called during TSSolve() is active.

### Keywords

TS, nonlinear, set, convergence, test

### See Also

TSConvergedReason

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages